Page MenuHomePhabricator

Long-pressing a link on ICS highlights the link
Closed, ResolvedPublic

Description

Description

Steps to reproduce

Long press a link.

Expected results

Link menu is shown.

Actual results

CAB is enabled and sometimes link menu is shown.


Environments observed

App version: 3eec959922d7047f5de6e743a1021fe501c892fc
Android OS versions: API 15
Device model: Emulator
Device language: English

Event Timeline

Niedzielski raised the priority of this task from to Needs Triage.
Niedzielski updated the task description. (Show Details)
Niedzielski added a subscriber: Niedzielski.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 2:56 AM
Niedzielski set Security to None.

Change 229120 had a related patch set uploaded (by Dbrant):
Use standard ContextMenu for long-press actions.

https://gerrit.wikimedia.org/r/229120

Change 229120 merged by jenkins-bot:
Use standard ContextMenu for long-press actions.

https://gerrit.wikimedia.org/r/229120

Moving to Design signoff to clarify the following:

  1. Current behavior - long-press on a link brings the Link menu without highlighting the link that was selected:

  1. If there were highlighting in place - the Link menu would provide a clue to what it relates.

  1. The previous point - highlighting the long-pressed link - is even more important when the displayed text differs form the title text:

<a href="/wiki/Mohave_people" title="Mohave people">Mohave Nation</a>
On the screenshot it's not clear what was actually selected - there is no 'Mohave people' in that portion of the text.

Need to review with Dbrant.

Signed off by design. Dbrant to create a separate ticket to examine long press behaviors on link and text and assign it to @pizzacat

Etonkovidova added a comment.EditedAug 21 2015, 7:38 PM

2.0.108-alpha-2015-08-21 on Nexus 5(Android 5.1.1)

@Dbrant 2 minor notes about these options, as there are a lot of them and we should consider paring it down to the most essential use cases.

It seems to me that a user who has not yet visited a link might want to open or save it, but is unlikely to want to share it. Would you share an article without clicking through to ensure it is the correct one or even reading it?

Similarly, I don't fully understand the use case behind the 'copy link address' mechanism I see here and elsewhere.

  1. User is in App and wants to share (the article they have not read), but doesn't see the share button?
  2. Same user then exits the app and opens up an email/chat/etc and pastes the link in...

(this seems like a sharp edge case)

or

  1. User doesn't like the app and wants to open the page up in a browser in order to access other wp features.

(again, why would someone want to do this without visiting the page first)

or

....

I've split off this discussion into a new task: T110049

Dbrant closed this task as Resolved.Sep 2 2015, 4:36 PM